Программы для школы.

Montfer

New member
Сообщения
2 358
#62
ученикам тоже тяжело с вашими интегралами, они не специалисты...
ну, а если серьезно, много людей в стране, работающих не по специальности, но осваивающих новые профессии
 

Montfer

New member
Сообщения
2 358
#63

ElisNova

New member
Сообщения
4
#64
Подскажите, пожалуйста в чем ошибка? Как исправить?
Прочитала все запись по данной теме и смогла установить Кумир на все пк (за что большое спасибо), кроме одного. Появляется вот такая ошибка, при установки пакета libqt4-dev. Большая просьба, сразу предупреждаю, что просьба от чайника, который впервые столкнулся с линукс, подскажите, что делать?
Посмотреть вложение 1664373754521.png
 

Montfer

New member
Сообщения
2 358
#65
Подскажите, пожалуйста в чем ошибка? Как исправить?
Прочитала все запись по данной теме и смогла установить Кумир на все пк (за что большое спасибо), кроме одного. Появляется вот такая ошибка, при установки пакета libqt4-dev. Большая просьба, сразу предупреждаю, что просьба от чайника, который впервые столкнулся с линукс, подскажите, что делать?
Посмотреть вложение 2571
похоже, что нужно обновить систему, а потом ставить пакет. Если у вас стоит какая нибудь прога, ради которой не нужно обновляться (например, secret net lsp), то лучше подключить ветку frozen
 

kirishka

New member
Сообщения
2
#66
Присоединяюсь к пожеланиям выше. Для экзаменов требуются такие программы как Кумир, Pascal, Python. Стоит Astra Linux CE Орел. Да, нас не спрашивали как лучше, просто выдали. Причем на части предустановлена Астра, на другую часть ноутбуков нужно было самим поставить, а на последний как вишенку на торте - ublinux, (зачем??). Там, где ставили самостоятельно - не работает звук ("фиктивный выход"). Сейчас скажут, что в обязательном порядке в следующем году на экзамен - а как подготовить к экзамену (не говоря уже об обучении и работе) не сказали. Да, учителя в школе могут многое, но не все. А поскольку закупка была массовой - очень хотелось бы иметь ветку с решенными вопросами для школьных нужд.
 

Montfer

New member
Сообщения
2 358
#67
Присоединяюсь к пожеланиям выше. Для экзаменов требуются такие программы как Кумир, Pascal, Python. Стоит Astra Linux CE Орел. Да, нас не спрашивали как лучше, просто выдали. Причем на части предустановлена Астра, на другую часть ноутбуков нужно было самим поставить, а на последний как вишенку на торте - ublinux, (зачем??). Там, где ставили самостоятельно - не работает звук ("фиктивный выход"). Сейчас скажут, что в обязательном порядке в следующем году на экзамен - а как подготовить к экзамену (не говоря уже об обучении и работе) не сказали. Да, учителя в школе могут многое, но не все. А поскольку закупка была массовой - очень хотелось бы иметь ветку с решенными вопросами для школьных нужд.
кумир ставится, паскаль ставится, питон уже установлен.
 

ElisNova

New member
Сообщения
4
#68
похоже, что нужно обновить систему, а потом ставить пакет. Если у вас стоит какая нибудь прога, ради которой не нужно обновляться (например, secret net lsp), то лучше подключить ветку frozen
Большое спасибо. Действительно, после установки обновления (что теперь я умею делать), все заработало.
Но появилась ошибка при использовании паскаля. Подскажите, пожалуйста, как её исправить.
 

Вложения

  • 25.1 КБ Просмотры: 187

Montfer

New member
Сообщения
2 358
#69
Большое спасибо. Действительно, после установки обновления (что теперь я умею делать), все заработало.
Но появилась ошибка при использовании паскаля. Подскажите, пожалуйста, как её исправить.
я не знаю паскаль, но предположу, что в 7й строке что то, что требует повышения прав или лезет туда, куда не нужно
 

chezar

New member
Сообщения
13
#70
AndreiZ сказал(а):
Здравствуйте.
Установил Кумир из сборки https://disk.yandex.ru/d/Sw9No-tO9qk3Dg (Дистрибутив АстраЛинукс 1.7). Установка прошла без проблем. При попытке запуска выдает сообщение: "Невозможно загрузить библиотеку /usr/lib/kumir2/plugins/libEditor.so (LibQtSvg.so.4: невозможно открыть разделяемый объектный файл: Нет такого файла или каталога)" .
Файл libEditor.so по данному пути присутствует.
Подскажите куда копать.
Спасибо.
беда в том, что почему то в 1.7 по дефолту не установлен libqt4-svg, поэтому отсутствует библиотека LibQtSvg.so.4, на которую и идет ругань.
установи пакет libqt4-svg
такая же проблема.
Пожалуйста, подскажите как установить пакет libqt4-svg?
 

Вложения

chezar

New member
Сообщения
13
#73
python3.5 my-prog.py
если скрипт написан на питоне 2.7, то можно просто python my-prog.py
подскажите, пожалуйста, я понял что питон уже есть на астра линукс, но как запустить скрипт не могу понять при запуске выскакивает выбор из по для запуска, что делать чтобы запустить.
или какой визуальный интерфейс для работы питона на астре поставить?
 

Вложения

Montfer

New member
Сообщения
2 358
#74
подскажите, пожалуйста, я понял что питон уже есть на астра линукс, но как запустить скрипт не могу понять при запуске выскакивает выбор из по для запуска, что делать чтобы запустить.
или какой визуальный интерфейс для работы питона на астре поставить?
запуск командой python3 (если выдаст ошибку, пробуйте python3.7) file.py
сторонний не советую устанавливать, если не знакомы с линуксом. да и в 1.7 питон 3.7 установлен.
из IDE можно поставить pycharm, например, или qt creator
 

Montfer

New member
Сообщения
2 358
#76
python3 /полный/путь/к/файлу.py
ну, или сначала перейти в каталог, где лежит файл и ввести только python3 файл.py
 
Сообщения
4
#80
Добрый день. Все вопросы актуальны и для меня: как поставить КуМир, Pascal ABC, Питон. вообще никогда не работала с Линуксом, и слова "
установка пакета: либо через dpkg, либо через дабл-клик - откроется qapt.
запуск через терминал, например, в fly-term пишете kumir2-classic и интер. " звучат, как на китайском. Помогите, обратиться больше некуда, маленький хутор у нас. Просто ужас!